#pragma once

#include "../../3rdParty/opennn/opennn.h"
#include <memory>
#include <string>

class NetworkTrainer
{
public:
    void networkFile(const std::string& networkFileName);
    void resultFile(const std::string& resultFileName);
    void trainingDataset(std::shared_ptr<OpenNN::DataSet> trainingDataset);
    std::shared_ptr<OpenNN::NeuralNetwork> trainNetwork();

private:
    std::string networkFile_;
    std::string resultFile_;
    std::shared_ptr<OpenNN::DataSet> trainingSet_;
};

